<template lang="pug">
.row.mx-1(v-if='loading')
  .col-12.pt-3.d-flex.justify-content-center
    span.alert.alert-secondary Fetching cameras list...
.row.mx-1(v-else-if='$butils.isEmpty(cameras)')
  .col-12.pt-3.d-flex.justify-content-center
    span.alert.alert-danger No cameras for page #[em {{page}}]
.row.x-camset.mx-1.h-100(v-else)
  .col-sm-12.col-lg-6.col-xl-4.p-0(v-for='cam in cameras' :key='`${page}_${cam.name}`')
    CameraControl(:group='page' :camera='cam.name' :description='cam.description' :ptz='cam.ptz')
</template>
<script src='./CameraGroup.vue.js' />
